9ae3a8
From 1b87276ff64d27cf2ab9096f7e18ad0d71ae79ac Mon Sep 17 00:00:00 2001
9ae3a8
From: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
Date: Tue, 25 Mar 2014 14:23:10 +0100
9ae3a8
Subject: [PATCH 03/49] qemu-iotests: add cloop input validation tests
9ae3a8
9ae3a8
RH-Author: Kevin Wolf <kwolf@redhat.com>
9ae3a8
Message-id: <1395753835-7591-4-git-send-email-kwolf@redhat.com>
9ae3a8
Patchwork-id: n/a
9ae3a8
O-Subject: [virt-devel] [EMBARGOED RHEL-7.0 qemu-kvm PATCH 03/48] qemu-iotests: add cloop input validation tests
9ae3a8
Bugzilla: 1066691
9ae3a8
RH-Acked-by: Jeff Cody <jcody@redhat.com>
9ae3a8
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
9ae3a8
9ae3a8
From: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
9ae3a8
Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1066691
9ae3a8
Upstream status: Series embargoed
9ae3a8
9ae3a8
Add a cloop format-specific test case. Later patches add tests for
9ae3a8
input validation to the script.
9ae3a8
9ae3a8
Signed-off-by: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
9ae3a8
Conflicts:
9ae3a8
tests/qemu-iotests/group
9ae3a8
9ae3a8
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
---
9ae3a8
 tests/qemu-iotests/075                             |   53 ++++++++++++++++++++
9ae3a8
 tests/qemu-iotests/075.out                         |    6 ++
9ae3a8
 tests/qemu-iotests/group                           |    1 +
9ae3a8
 .../sample_images/simple-pattern.cloop.bz2         |  Bin 0 -> 488 bytes
9ae3a8
 4 files changed, 60 insertions(+), 0 deletions(-)
9ae3a8
 create mode 100755 tests/qemu-iotests/075
9ae3a8
 create mode 100644 tests/qemu-iotests/075.out
9ae3a8
 create mode 100644 tests/qemu-iotests/sample_images/simple-pattern.cloop.bz2
9ae3a8
9ae3a8
diff --git a/tests/qemu-iotests/075 b/tests/qemu-iotests/075
9ae3a8
new file mode 100755
9ae3a8
index 0000000..88ae8bb
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/075
9ae3a8
@@ -0,0 +1,53 @@
9ae3a8
+#!/bin/bash
9ae3a8
+#
9ae3a8
+# cloop format input validation tests
9ae3a8
+#
9ae3a8
+# Copyright (C) 2013 Red Hat, Inc.
9ae3a8
+#
9ae3a8
+# This program is free software; you can redistribute it and/or modify
9ae3a8
+# it under the terms of the GNU General Public License as published by
9ae3a8
+# the Free Software Foundation; either version 2 of the License, or
9ae3a8
+# (at your option) any later version.
9ae3a8
+#
9ae3a8
+# This program is distributed in the hope that it will be useful,
9ae3a8
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
9ae3a8
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
9ae3a8
+# GNU General Public License for more details.
9ae3a8
+#
9ae3a8
+# You should have received a copy of the GNU General Public License
9ae3a8
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
9ae3a8
+#
9ae3a8
+
9ae3a8
+# creator
9ae3a8
+owner=stefanha@redhat.com
9ae3a8
+
9ae3a8
+seq=`basename $0`
9ae3a8
+echo "QA output created by $seq"
9ae3a8
+
9ae3a8
+here=`pwd`
9ae3a8
+tmp=/tmp/$$
9ae3a8
+status=1	# failure is the default!
9ae3a8
+
9ae3a8
+_cleanup()
9ae3a8
+{
9ae3a8
+	_cleanup_test_img
9ae3a8
+}
9ae3a8
+trap "_cleanup; exit \$status" 0 1 2 3 15
9ae3a8
+
9ae3a8
+# get standard environment, filters and checks
9ae3a8
+. ./common.rc
9ae3a8
+. ./common.filter
9ae3a8
+
9ae3a8
+_supported_fmt cloop
9ae3a8
+_supported_proto generic
9ae3a8
+_supported_os Linux
9ae3a8
+
9ae3a8
+echo
9ae3a8
+echo "== check that the first sector can be read =="
9ae3a8
+_use_sample_img simple-pattern.cloop.bz2
9ae3a8
+$QEMU_IO -c "read 0 512" $TEST_IMG 2>&1 | _filter_qemu_io | _filter_testdir
9ae3a8
+
9ae3a8
+# success, all done
9ae3a8
+echo "*** done"
9ae3a8
+rm -f $seq.full
9ae3a8
+status=0
9ae3a8
diff --git a/tests/qemu-iotests/075.out b/tests/qemu-iotests/075.out
9ae3a8
new file mode 100644
9ae3a8
index 0000000..26661fa
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/075.out
9ae3a8
@@ -0,0 +1,6 @@
9ae3a8
+QA output created by 075
9ae3a8
+
9ae3a8
+== check that the first sector can be read ==
9ae3a8
+read 512/512 bytes at offset 0
9ae3a8
+512 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
9ae3a8
+*** done
9ae3a8
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
9ae3a8
index 51e7f58..427818c 100644
9ae3a8
--- a/tests/qemu-iotests/group
9ae3a8
+++ b/tests/qemu-iotests/group
9ae3a8
@@ -71,6 +71,7 @@
9ae3a8
 067 rw auto
9ae3a8
 068 rw auto
9ae3a8
 070 rw auto
9ae3a8
+075 rw auto
9ae3a8
 077 rw auto
9ae3a8
 079 rw auto
9ae3a8
 082 rw auto quick
9ae3a8
-- 
9ae3a8
1.7.1
9ae3a8